Articles of paquete de

Haz que el bundler use diferentes gems para diferentes plataformas

Estoy trabajando en la actualización de una de nuestras aplicaciones Rails 2.3.8 a Rails 3, y me he encontrado con un problema molesto con bundler e implementación. Desarrollo la aplicación en una máquina con Windows, pero el entorno de producción ejecuta Ubuntu Linux. Ahora, mi problema es que bundler está ignorando la gem mysql en […]

¿Cómo usar Parcel en Android?

Parcelable utilizar Parcel para escribir y luego volver a leer un Parcelable . Por alguna razón, cuando leo el objeto desde el archivo, vuelve como null . public void testFoo() { final Foo orig = new Foo(“blah blah”); // Wrote orig to a parcel and then byte array final Parcel p1 = Parcel.obtain(); p1.writeValue(orig); final […]

Paquete de nodo (Grunt) instalado pero no disponible

Estoy intentando construir una biblioteca github jquery-ui usando grunt , pero después de ejecutar npm install , todavía no puedo ejecutar el comando de acuerdo con el archivo readme . Simplemente da No command ‘grunt’ found : james@ubuntu:~/Documents/projects/ad2/lib/jquery-ui$ grunt build No command ‘grunt’ found, did you mean: Command ‘grun’ from package ‘grun’ (universe) grunt: command […]

Cómo comprobar si Facebook está instalado Android

Estoy modificando mi aplicación para poder detectar si un usuario intenta publicar sin tener instalada la aplicación de Facebook (requerida para SSO). Aquí está el código que estoy usando: try{ ApplicationInfo info = getPackageManager(). getApplicationInfo(“com.facebook.android”, 0 ); return true; } catch( PackageManager.NameNotFoundException e ){ return false; } El problema es que siempre se detecta un […]

joya install pg –with-pg-config funciona, el paquete falla

Cuando ejecuto (como root) gem install pg -v ‘0.12.0’ — –with-pg-config=/usr/pgsql-9.1/bin/pg_config Obtengo el siguiente resultado: #-> gem instal pg -v ‘0.12.0’ — –with-pg-config=/usr/pgsql-9.1/bin/pg_config Building native extensions. This could take a while… Successfully installed pg-0.12.0 1 gem installed Installing ri documentation for pg-0.12.0… Installing RDoc documentation for pg-0.12.0… #-> Cuando ejecuto bundle install: Installing pg (0.12.0) […]

¿Hay algunos límites en el paquete de Android?

Quiero saber si el tamaño de los datos del paquete de Android tiene un límite superior. Intento publicar datos por paquete que tengan un tamaño> 80k y lanzo la excepción fatal de Android. Los datos son serializables.

excepción en el error de inicialización

Estoy usando Netbeans. Hice algunas cosas con enlaces y ahora cada vez que inicio mi progtwig, incluso antes de iniciar el formulario, me da un error La excepción en el hilo principal está ocurriendo antes de que la forma sea aún un objeto inicializado. La forma ni siquiera es un objeto. Cada línea en mi […]

Cómo enviar objetos a través del paquete

Necesito pasar una referencia a la clase que hace la mayoría de mi procesamiento a través de un paquete. El problema es que no tiene nada que ver con intenciones o contextos y tiene una gran cantidad de objetos no primitivos. ¿Cómo puedo empaquetar la clase en un paquete / serializable y pasarla a startActivityForResult […]

Ya has activado X, pero tu Gemfile requiere Y

Cuando ejecuto rake obtengo este error: Ya has activado el rastrillo 0.9.2, pero tu Gemfile requiere rastrillo 0.8.7. Considere el uso de bundle exec. Usar bundle exec rake lugar de simplemente rake parece funcionar, pero ¿es la mejor manera de arreglar esto?

Android VpnService para capturar paquetes no capturará paquetes

He estado buscando mi respuesta durante un par de horas y no puedo entenderlo. Por favor ayuda. Lo que quiero hacer es usar VpnService en Android para obtener paquetes de red como la aplicación tPacketCapture Empecé utilizando el código de muestra ToyVpn de google y lo modifiqué para no enviar los datos a un servidor. […]